#### D.4.17.8 modregCM

Procedure from library `noether.lib` (see noether_lib).

Usage:
  modregCM(i); i ideal

Return:
  an integer, the Castelnuovo-Mumford regularity of i.
  (returns -1 if i is not homogeneous)

Assume:
  i is a homogeneous ideal and the characteristic of base field is zero..

Note:
  This is a probabilistic procedure, and it computes the initial of the ideal modulo the prime number 2147483647 (the biggest prime less than 2^31).

User manual for Singular version 4-0-3, 2016, generated by texi2html.